Перейти к содержанию

Orderon

Пользователи
  • Публикаций

    6
  • Зарегистрирован

  • Посещение

Репутация

0 Обычный

Информация о Orderon

  • Звание
    Новичок
  1. Разбираюсь с атрибутами. Блок с атрибутами изначально создан в ACAD. Но работая с блоком в nanoCAD обнаружил, что текст значения атрибута блока не может быть многострочным (только однострочным). Как с этим обстоят дела? (пытаясь руками изменить атрибуты, не вижу поля "несколько строк" атрибута)
  2. да... с автоматической печатью беда... тоже волнует эта животрепещущая тема! в .NET API всё ещё хуже - вообще нет реализации... или я не там ищу?
  3. О! Огромное спасибо! Теперь отладка пойдет быстрее!!! А то приходилось каждый раз выгружать nanoCAD, загружать заново и потом ещё через netload грузить библиотеку. Теперь всё одним кликом по тестовому dwg файлу! (правда каждый раз после проверки всё равно nanoCAD выгружать приходится).
  4. Создю свою надстройку на .NET (C#). Где-то видел (сейчас не могу найти...), что для автоматической загрузки получаемой dll библиотеки нужно сконфигурировать nCad.ini или nApp.ini. Что туда прописать если мой файл называется, например, my.dll?
  5. О! Огромное спасибо за совет!!! Тоже уже решил на Select перейти, но вариант почему-то не работает (кол-во выбранных элементов = 0): ThisDrawing.Application.Update(); sSelect.Select(acSelectionSetCrossing, pFindTyped, pFindTyped, 0, "Line"); А так работает: sSelect.Select(acSelectionSetCrossing, "-1,-1,0", "1,1,0", 0, "Line"); Так опять не работает: sSelect.Select(acSelectionSetCrossing, "-0.01,-0.01,0", "0.01,0.01,0", 0, "Line"); Перерисовка что ручная, что по Application.Update() не помогает... ("Тренируюсь" на nanoCAD верии 3.7.1913.1236)
  6. Не могу добиться работы функции SelectAtPoint Есть тестовый код (JS): ThisDrawing.Utility.Prompt ("Чертим горизонтальную линию"); ThisDrawing.ModelSpace.AddLine("0,0,0", "100,0,0"); var pFind = new Array(50,0,0); //Координаты выбора объекта // Создаем выборку try { var sSelect = ThisDrawing.SelectionSets.Add("SS1"); } catch(exept) { ThisDrawing.Utility.Prompt ("Ошибка создания выборки: " + exept); ThisDrawing.Utility.Prompt ("Выбираем существующую выборку!"); var sSelect = ThisDrawing.SelectionSets.Item("SS1"); } ThisDrawing.Utility.Prompt ("Рабочий шаблон выбора: " + sSelect.Name); sSele
×
×
  • Создать...